Jump to content


downgrading Itech firmware


  • Please log in to reply
4 replies to this topic

#1 Schmuck

Schmuck

    Power User

  • Members
  • PipPipPipPipPip
  • 22 posts

Posted 20 February 2006 - 03:55 PM

ok so I have 60+ Itech amps at 1.301 firmware, and got one new 6k that shipped with 2.012 on it.  I really am not wanting to jump to 2.0/8.0 yet nor hiqnet.  Everything is working fine for us on 1.301/7.2 and I don't want to rewrite 20 presets to that many amps yet.  I tried the standard way of upgrading software to do a downgrade with no change in the amp.  What is the trick to getting this down to 1.301?  Or am I stuck with leaving it and eventually getting the rest to v2 and using iqwiq v8?  What did I miss?

Thanks
David

#2 DGlass

DGlass

    .

  • Members
  • PipPipPipPipPip
  • 2,541 posts

Posted 22 February 2006 - 11:22 AM

You should be able to backgrade..... blink.gif

Try this:

1) Place the amplifier into manual loader mode this is done by shutting off the amplifier, then press and hold in both of the front panel level controls while powering up the amp.

2) In a few seconds a display will appear that says “Manual Upgrade, awaiting TFTP”. This is telling you to start the firmware download.

3) Release the knobs and reinstall the firmware for the display. The display firmware will be the file entitled ITDAPPvx_xxx.bin .

4) After the install of the display firmware is completed follow steps 1-3 again but install the main firmware upgrade.

There are two firmware installs when doing an upgrade/back grade. One is the "display firmware and the other is the "DSP" firmware. The display firmware must always be done first.

There is another way to get the amp into a different forced loader mode for it to receive firmware and that is to:

1) Shut off the amplifier, then press and hold in the Preset Switch located on the back of the amplifier while powering it back up.

2) Both the Data and Preset LEDs will turn on steady.

3) After approximately 5 seconds, both the Data and Preset LEDs will will go out.

4) Release the Preset Switch and reinstall the firmware for the display. The display firmware will be the file entitled ITDAPPvx_xxx.bin .

5) After the install of the display firmware is completed follow steps 1-4 again but install the main firmware upgrade.

If that does not fix the problem then you will need to get you amp to us as the DSP is probably locked up. sad.gif

#3 Schmuck

Schmuck

    Power User

  • Members
  • PipPipPipPipPip
  • 22 posts

Posted 22 February 2006 - 01:14 PM

thanks, I don't believe its a dsp thing, most likely a Operator Error thing.  As soon as I am done writing some v8 and sys arch settings, I will down grade and report back.  


As a side off topic question, I like the bandpass gain option added for system architech, and I see the control on the faceplate, but at this time, I can't find it in iqwiq v8.  I am rewriting all our presets for eventual use in SA and version 8, and instead of setting gains in the crossover part I was goning to use the bandpass gain.  For now, I will build these in SA (and save those files), and then resave a version from the amp in IQwiq 8.  That will save the bandpass gain right?

Also noticed that SA doesn't like saving venue files to folders with "." (ie folder name is 2.01 data etc) in the name.  It saves device and preset files to that folder ok, but a venue file causes a crash.

Thanks again
David

#4 DGlass

DGlass

    .

  • Members
  • PipPipPipPipPip
  • 2,541 posts

Posted 22 February 2006 - 01:37 PM

Yes saving a .wiq file under IQwic 8.0, after doing a bandpass adjustment in the SA software, will save the Bandpass setting in the .wiq file even though you can't see it.

#5 Schmuck

Schmuck

    Power User

  • Members
  • PipPipPipPipPip
  • 22 posts

Posted 24 February 2006 - 02:13 PM

QUOTE(DGlass @ Feb 22 2006, 01:37 PM)
Yes saving a .wiq file under IQwic 8.0, after doing a bandpass adjustment in the SA software, will save the Bandpass setting in the .wiq file even though you can't see it.
View Post



I have been able to go back and forth several times now.  It was me.  When I first did it I was using iqutiiy 7.2, and had the oif error, after getting 8 in and putting the oif file in the menu, the utility program in my v8 folder works fine.

thanks
David